Subject: bug#59802: 30.0.50; Checkbox button not rendered

From: Eli Zaretskii <[email-masked]>
Date: Sat, 03 Dec 2022 13:29:31 +0200

> From: Manuel Giraud <[email-masked]>
> Date: Sat, 03 Dec 2022 11:40:05 +0100
> 
> Most of the time, checkbox button (for instance in customize) are not
> rendered correctly.  I have a message saying:
> --8<---------------cut here---------------start------------->8---
> "Invalid image size (see ‘max-image-size’)"
> --8<---------------cut here---------------end--------------->8---
> 
> These seems to have a display text property with an SVG image and I have
> support for SVG compiled.  I can reproduce this bug with "emacs -Q" and
> what is strange is that it sometimes work after restarting emacs.

I think it would be useful if you could post a complete recipe, and perhaps
also catch this error in a debugger, so you could show the full image spec
including the allegedly invalid size.

Thanks.